;===================================================================;
;====	PIC18F Non-J Datas				Last Update 2015/02/27	====;
;====											Saka Softwears	====;
;===================================================================;
	radix	dec

;== Constants ======================================================;
#ifdef __18F4550
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F2550
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F45K50
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18LF45K50
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F25K50
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18LF25K50
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
;===================================================================;
#ifdef __18F4553
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F2553
	#define PROG_MEM_STOP_ADDRESS		0x008000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
;===================================================================;
#ifdef __18F4455
	#define PROG_MEM_STOP_ADDRESS		0x006000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F2455
	#define PROG_MEM_STOP_ADDRESS		0x006000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
;===================================================================;
#ifdef __18F4458
	#define PROG_MEM_STOP_ADDRESS		0x006000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F2458
	#define PROG_MEM_STOP_ADDRESS		0x006000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x20		;32 byte programming block size on the PIC18F4550/PIC18F4553 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
;===================================================================;
#ifdef __18F4450
	#define PROG_MEM_STOP_ADDRESS		0x004000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define WRITE_BLOCK_SIZE			0x10		;16 byte programming block size on the PIC18F4450/2450 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F2450
	#define PROG_MEM_STOP_ADDRESS		0x004000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define WRITE_BLOCK_SIZE			0x10		;16 byte programming block size on the PIC18F4450/2450 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18F24K50
	#define PROG_MEM_STOP_ADDRESS		0x004000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define WRITE_BLOCK_SIZE			0x10		;16 byte programming block size on the PIC18F4450/2450 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
#ifdef __18LF24K50
	#define PROG_MEM_STOP_ADDRESS		0x004000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define WRITE_BLOCK_SIZE			0x10		;16 byte programming block size on the PIC18F4450/2450 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x400		;USBRAMアドレス
	#define MAX_EP_NUM					16			;エンドポイント数
#endif
;===================================================================;
#ifdef __18F14K50
	#define PROG_MEM_STOP_ADDRESS		0x004000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x10		;16 byte programming block size on the PIC18F14K50 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x200		;USBRAMアドレス
	#define MAX_EP_NUM					8			;エンドポイント数
#endif
#ifdef __18LF14K50
	#define PROG_MEM_STOP_ADDRESS		0x004000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x10		;16 byte programming block size on the PIC18F14K50 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x200		;USBRAMアドレス
	#define MAX_EP_NUM					8			;エンドポイント数
#endif
;===================================================================;
#ifdef __18F13K50
	#define PROG_MEM_STOP_ADDRESS		0x002000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x08		;8 byte programming block size on the PIC18F14K50 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x200		;USBRAMアドレス
	#define MAX_EP_NUM					8			;エンドポイント数
#endif
#ifdef __18LF13K50
	#define PROG_MEM_STOP_ADDRESS		0x002000	;**MUST BE WORD ALIGNED (EVEN) ADDRESS.  This address does not get updated, but the one just below it does: IE: If AddressToStopPopulating = 0x200, 0x1FF is the last programmed address (0x200 not programmed)**
	#define CONFIG_START_ADDRESS		0x300000	;0x300000 is CONFIG space for PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define CONFIG_SECTION_LENGTH		14			;14 bytes worth of Configuration words on the PIC18F4550/PIC18F4553/PIC18F4450 family devices
	#define USER_ID_ADDRESS				0x200000	;User ID is 8 bytes starting at 0x200000
	#define USER_ID_SIZE				8
	#define DEVICE_WITH_EEPROM
	#define EEPROM_SIZE					0x100		;256 bytes of EEPROM on this device
	#define EEPROM_EFFECTIVE_ADDRESS	0xF00000	;Location in the .hex file where the EEPROM contents are stored
	#define WRITE_BLOCK_SIZE			0x08		;8 byte programming block size on the PIC18F14K50 family devices
	#define ERASE_PAGE_SIZE				64
	#define USB_RAM_ADR					0x200		;USBRAMアドレス
	#define MAX_EP_NUM					8			;エンドポイント数
#endif

;== end of file ====================================================;
